package com.nisum.offertransactionservice.converter;

import com.nisum.offertransactionservice.dto.*;
import com.nisum.offertransactionservice.model.OfferLookup;
import com.nisum.offertransactionservice.model.OfferMeta;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

@Mapper
public interface OfferConvertion {

    OfferConvertion INSTANCE = Mappers.getMapper(OfferConvertion.class);

    OfferTransactionResponse map(PEResponse peResponse);

    PERequest map(OfferTransactionRequest offerTransactionRequest);

    OfferLookupDTO map(OfferLookup offerLookup);

    OfferMetaDTO map(OfferMeta offerMeta);


}
