package com.nisum.offertransactionservice.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "endpoint.url")
public class OfferTransactionConfig {


    private String storeProducerUrl;

    private String spBaseUrl;

    private String promotionEngineUrl;

    private String peBaseUrl;

    public String getStoreProducerUrl() {
        return storeProducerUrl;
    }

    public void setStoreProducerUrl(String storeProducerUrl) {
        this.storeProducerUrl = storeProducerUrl;
    }

    public String getSpBaseUrl() {
        return spBaseUrl;
    }

    public void setSpBaseUrl(String spBaseUrl) {
        this.spBaseUrl = spBaseUrl;
    }

    public String getPromotionEngineUrl() {
        return promotionEngineUrl;
    }

    public void setPromotionEngineUrl(String promotionEngineUrl) {
        this.promotionEngineUrl = promotionEngineUrl;
    }

    public String getPeBaseUrl() {
        return peBaseUrl;
    }

    public void setPeBaseUrl(String peBaseUrl) {
        this.peBaseUrl = peBaseUrl;
    }
}