package com.nisum.offertransactionservice.dto;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = false)
public class OfferMetaDTO {


    String offerId;

    LocalDateTime startTime;

    LocalDateTime expiryTime;

    String offerStatus;

    String eligibility;

    String discount;

    String offerType;

    String offerDesc;

    String rcptTxt;
}
