package com.nisum.offertransactionservice.model;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

import javax.persistence.*;

@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = false)
@Entity
@Table(name = "offer_lookup")
@IdClass(OfferLookupComposite.class)
public class OfferLookup {

    @Id
    @Column(name = "id")
    Long id;

    @Id
    @Column(name ="offer_type")
    String idType;

    @Id
    @Column(name ="offer_id")
    Long offerId;

    @Column(name ="store_id")
    String storeId;
    @Column(name ="terminal")
    String terminal;
    @Column(name ="pre_condition")
    String preCondition;



}
