package com.nisum.offertransactionservice.model;


import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = false)
public class OfferLookupComposite implements Serializable {


    @Column(name = "offer_lookup_id")
    String id;

    @Column(name ="offer_type")
    String idType;

    @Column(name ="offer_id")
    String offerId;

}
